## magic-wormhole-mailbox-server 0.4.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Magic-Wormhole-Mailbox-Server
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## magic-wormhole-mailbox-server 0.3.1

=== debian/changelog ===
magic-wormhole-mailbox-server (0.3.1-2) unstable; urgency=medium

  * switch to dh-compat 12
  * bump standards
  * fix Vcs-* URLs

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 01 Feb 2019 14:55:35 -0500

magic-wormhole-mailbox-server (0.3.1-1) unstable; urgency=low

  * upstream split out form magic-wormhole (Closes: #915358)

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 02 Dec 2018 20:28:19 +0000

=== debian/control ===
Source: magic-wormhole-mailbox-server
Section: python
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-attr,
               python3-autobahn,
               python3-six,
               python3-twisted,
               python3-mock,
               python3-treq,
Standards-Version: 4.3.0
Homepage: https://github.com/warner/magic-wormhole-mailbox-server
Vcs-Git: https://salsa.debian.org/debian/magic-wormhole-mailbox-server.git
Vcs-Browser: https://salsa.debian.org/debian/magic-wormhole-mailbox-server

Package: python3-magic-wormhole-mailbox-server
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Magic Wormhole Mailbox Server
 This is the main server that Magic-Wormhole clients connect to. The
 server performs store-and-forward delivery for small key-exchange and
 control messages. Bulk data is sent over a direct TCP connection, or
 through a transit-relay.
 .
 Clients connect with WebSockets, for low-latency delivery in the
 happy case where both clients are attached at the same time. Message
 are stored to enable non-simultaneous clients to make forward
 progress. The server uses a small SQLite database for persistence
 (and clients will reconnect automatically, allowing the server to be
 rebooted without losing state). An optional "usage DB" tracks
 historical activity for status monitoring and operational
 maintenance.

=== debian/watch ===
# try also https://pypi.debian.net/magic-wormhole-mailbox-server/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/magic-wormhole-mailbox-server/magic-wormhole-mailbox-server-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## magic-wormhole-mailbox-server 0.4.1

=== debian/changelog ===
magic-wormhole-mailbox-server (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * check upstream signature
  * bump standards

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 25 Oct 2019 11:30:54 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-twisted,
                python3-mock,
                python3-treq,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/warner/magic-wormhole-mailbox-server
 Vcs-Git: https://salsa.debian.org/debian/magic-wormhole-mailbox-server.git
 Vcs-Browser: https://salsa.debian.org/debian/magic-wormhole-mailbox-server

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=magic-wormhole-mailbox-server
%:
	dh $@ --with python3 --buildsystem=pybuild

## magic-wormhole-mailbox-server 0.5.1

=== debian/changelog ===
magic-wormhole-mailbox-server (0.5.1-2) unstable; urgency=medium

  * Team Upload
  * Clean-up even better running tests

  [ Antoine Beaupré ]
  * Change the Vcs-* headers to follow project move

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Dec 2025 21:00:06 +0100

magic-wormhole-mailbox-server (0.5.1-1) unstable; urgency=medium

  * fix build reproducibility (Closes: #1103798, thanks @lamby)
  * move package to the python team
  * acknowledge NMU (no bug filed)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 01 Dec 2025 11:09:50 -0500

magic-wormhole-mailbox-server (0.5.1-0.1) unstable; urgency=medium

  * Non-Maintainer Upload
  * New upstream version 0.5.1
  * Drop extraneous python3-mock & python3-six build-dep
  * Use dh-sequence-python3
  * Bump Standards-Version to 4.7.2
  * Remove old patches applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Nov 2025 19:58:10 +0100

magic-wormhole-mailbox-server (0.4.1-3) unstable; urgency=medium

  * Fix FTBFS by upgrading vendored versioneer (Closes: #1058173)

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 05 Apr 2024 22:57:43 -0400

magic-wormhole-mailbox-server (0.4.1-2) unstable; urgency=medium

  * Hotfix FTBFS with upstream patch (Closes: #1026615)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 26 Jan 2023 14:21:36 -0500

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: magic-wormhole-mailbox-server
 Section: python
 Priority: optional
-Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Antoine Beaupré <anarcat@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-attr,
                python3-autobahn,
-               python3-six,
                python3-twisted,
-               python3-mock,
                python3-treq,
-Standards-Version: 4.4.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/warner/magic-wormhole-mailbox-server
-Vcs-Git: https://salsa.debian.org/debian/magic-wormhole-mailbox-server.git
-Vcs-Browser: https://salsa.debian.org/debian/magic-wormhole-mailbox-server
+Vcs-Git: https://salsa.debian.org/python-team/packages/magic-wormhole-mailbox-server.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/magic-wormhole-mailbox-server
 
 Package: python3-magic-wormhole-mailbox-server
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=magic-wormhole-mailbox-server
export PYBUILD_AFTER_TEST=rm -rfv {build_dir}/wormhole_mailbox_server.test.tes {build_dir}/*.sql

%:
	dh $@ --buildsystem=pybuild
